%define module_name Perlmazing
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/Rijndael.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy/Recursive.pm) perl(File/Path.pm) perl(List/Util.pm) perl(Scalar/Util.pm) perl(Submodules.pm) perl(Taint/Util.pm) perl(Time/Precise.pm) perl(URI/Escape.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2814
Release: alt1
Summary: A collection of helper functions powered by Perlmazing::Engine.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZA/ZARABOZO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is the first practical example of a module powered by the Perlmazing::Engine manpage. It's a collection of helper functions
that are loaded only when actually used, making it extremely fast to load and efficient to run. This manual will show you
how to use this module and what its helper functions do, but you should look at the Perlmazing::Engine manpage to understand how it's
being used and maybe look at the source code of this module to see how simple it was to implement the Perlmazing::Engine manpage for
this example.

As an additional benefit, this module automatically `use's and `import's the Perlmazing::Feature manpage, which basically will
enable `strict' and `warnings FATAL =' 'all'>, along with the most recent features your version of Perl can enable.

How this module works at the end:

    use Perlmazing;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc test_file.txt README test_copy.txt Changes
%perl_vendor_privlib/P*

%changelog
* Sat Feb 09 2019 Igor Vlasenko <viy@altlinux.ru> 1.2814-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.2812-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 1.2810-alt1
- initial import by package builder

